org.bouncycastle.bcpg

## Class BCPGObject

- java.lang.Object
- - org.bouncycastle.bcpg.BCPGObject

Direct Known Subclasses:
  DSAPublicBCPGKey, DSASecretBCPGKey, ElGamalPublicBCPGKey, ElGamalSecretBCPGKey, MPInteger, RSAPublicBCPGKey, RSASecretBCPGKey, S2K

    public abstract class BCPGObject
    extends java.lang.Object

base class for a PGP object.

### Constructor Summary

Constructors
Constructor and Description
`BCPGObject()`

### Method Summary

Methods
`abstract void` `encode(BCPGOutputStream out)`
`byte[]` `getEncoded()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BCPGObject

    public BCPGObject()

### Method Detail

#### getEncoded

    public byte[] getEncoded()
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### encode

    public abstract void encode(BCPGOutputStream out)
                         throws java.io.IOException

Throws:
  `java.io.IOException`